Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.sqwrl
Interface ResultGenerator

All Known Implementing Classes:
  ResultImpl

    public interface ResultGenerator

Interface to configure a result and add data to it. See the Result class for detailed comments.

Method Summary
`void` | `addAggregateColumn(String columnName, String aggregateFunctionName)`
`void` | `addColumn(String columnName)`
`void` | `addColumnDisplayName(String columnName)`
`void` | `addColumns(List<String> columnNames)`
`void` | `addOrderByColumn(int orderedColumnIndex, boolean ascending)`
`void` | `addRow(List<ResultValue> resultValues)`
`void` | `addRowData(ResultValue value)`
`void` | `closeRow()`
`void` | `configured()`
`void` | `initialize()`
`boolean` | `isAscending()`
`boolean` | `isConfigured()`
`boolean` | `isOrdered()`
`boolean` | `isPrepared()`
`boolean` | `isRowOpen()`
`void` | `openRow()`
`void` | `prepared()`
`void` | `setIsDistinct()`

Method Detail

### initialize

    void initialize()

### addColumns

    void addColumns(List<String> columnNames)
                    throws ResultException

  Throws:
    `ResultException`

### addColumn

    void addColumn(String columnName)
                   throws ResultException

  Throws:
    `ResultException`

### addAggregateColumn

    void addAggregateColumn(String columnName,
                            String aggregateFunctionName)
                            throws ResultException

  Throws:
    `ResultException`

### addOrderByColumn

    void addOrderByColumn(int orderedColumnIndex,
                          boolean ascending)
                          throws ResultException

  Throws:
    `ResultException`

### isOrdered

    boolean isOrdered()

### isAscending

    boolean isAscending()

### setIsDistinct

    void setIsDistinct()

### addColumnDisplayName

    void addColumnDisplayName(String columnName)
                              throws ResultException

  Throws:
    `ResultException`

### isConfigured

    boolean isConfigured()

### configured

    void configured()
                    throws ResultException

  Throws:
    `ResultException`

### addRow

    void addRow(List<ResultValue> resultValues)
                throws ResultException

  Throws:
    `ResultException`

### openRow

    void openRow()
                 throws ResultException

  Throws:
    `ResultException`

### addRowData

    void addRowData(ResultValue value)
                    throws ResultException

  Throws:
    `ResultException`

### closeRow

    void closeRow()
                  throws ResultException

  Throws:
    `ResultException`

### isRowOpen

    boolean isRowOpen()

### isPrepared

    boolean isPrepared()

### prepared

    void prepared()
                  throws ResultException

  Throws:
    `ResultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.